summaryrefslogtreecommitdiffstats
path: root/abs/core/linhes-live/lib
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/linhes-live/lib')
-rw-r--r--abs/core/linhes-live/lib/initcpio/hooks/larch15
-rw-r--r--abs/core/linhes-live/lib/initcpio/hooks/larch34
2 files changed, 9 insertions, 0 deletions
diff --git a/abs/core/linhes-live/lib/initcpio/hooks/larch1 b/abs/core/linhes-live/lib/initcpio/hooks/larch1
index e1a3753..88ccc3e 100644
--- a/abs/core/linhes-live/lib/initcpio/hooks/larch1
+++ b/abs/core/linhes-live/lib/initcpio/hooks/larch1
@@ -115,6 +115,11 @@ run_hook ()
test_live_data_dir "${d}" "${cdmount}"
if [ $? -eq 0 ]; then break 2; fi
done
+ msg_ ":: Searching for usb cdroms .."
+ for d in /dev/sr[0-9]*; do
+ test_live_data_dir "${d}" "${cdmount}"
+ if [ $? -eq 0 ]; then break 2; fi
+ done
done
fi
}
diff --git a/abs/core/linhes-live/lib/initcpio/hooks/larch3 b/abs/core/linhes-live/lib/initcpio/hooks/larch3
index 47be81a..b301aa9 100644
--- a/abs/core/linhes-live/lib/initcpio/hooks/larch3
+++ b/abs/core/linhes-live/lib/initcpio/hooks/larch3
@@ -96,6 +96,8 @@ run_hook ()
msg_ ":: Mounting squashed images"
/bin/mkdir /tfs/system
+ #added sleep for 3 seconds, because well i don't know but it seems to fix things
+ sleep 3
# The klibc mount command doesn't support '-o loop'
/bin/losetup /dev/loop0 ${sysSqf}
/bin/mount -r -t squashfs /dev/loop0 /tfs/system
@@ -107,11 +109,13 @@ run_hook ()
export LD_LIBRARY_PATH=/tfs/system/lib:/tfs/system/usr/lib
/bin/mkdir /tfs/mods
+
# The klibc mount command doesn't support '-o loop'
/bin/losetup /dev/loop1 ${modsSqf}
/bin/mount -r -t squashfs /dev/loop1 /tfs/mods
# Unpack the overlay
+
msg_ ":: Initializing writable layer for union (overlay)"
/tfs/system/usr/bin/lzop -d < ${overlay} | \
/tfs/system/bin/tar -C /tfs -xf -